<?php
	require_once( $GLOBALS["site_root"]."/includes/funcs.globals.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/language.inc.php" );
	$getparams = $_GET;
	$postparams = $_POST;



	if (!isset( $GLOBALS["fv3_ajax_tooltip"] )) {
		// do not reinclude jquery in ajax requests
		FNTH_include_3rdparty( "jquery" , array( "debug" => true ) );

	}

	$GLOBALS["model_version"]=3.0;

	$db = array();
	switch ($GLOBALS["model_version"]) {
	case 2.0;
		$db["dbtype"]="MySQL";
		$db["database"]="fordit_v2";
		$db["username"]="fordit_v2";
		$db["password"]="kakukk321";
		FNTH_db_connect( $db );
		FNTH_db_free_result( FNTH_db_query( "set names utf8" ) );
		break;
	case 3.0:
		switch ($_SERVER["SERVER_NAME"]) {
		case "fv3.darkside.hu":
		case "fv3en.darkside.hu":
		case "fv3de.darkside.hu":
			$db["host"]="192.168.100.254";
			$db["host"]="127.0.0.1";	// notebook division
			$db["dbtype"]="PostgreSQL";
			$db["database"]="fordit_v3";
			$db["username"]="fordit";
			$db["password"]="versionszri";
			break;
		case "fordit.hu":
		case "www.fordit.hu":
		case "hungarian-translation.hu":
		case "www.hungarian-translation.hu":
		case "hungarian-translator.eu":
		case "www.hungarian-translator.eu":
			$db["host"]="127.0.0.1";
			$db["dbtype"]="PostgreSQL";
			$db["database"]="fordit_v3";
			$db["username"]="fordit";
			$db["password"]="versionszri";
			break;
		}
		FNTH_db_connect( $db );
		FNTH_db_free_result( FNTH_db_query( "set client_encoding to 'utf8'" ) );
		break;
	}

	switch ($GLOBALS["language"]) {
	case "hu":$metalang="hu-HU";$metalang2="hungarian";break;
	case "en":$metalang="en-GB";$metalang2="english";break;
	case "de":$metalang="de-DE";$metalang2="deutsch";break;
	}

	if (!isset( $GLOBALS["fv3_ajax_tooltip"] )) {
		FNTHPage::setPagehead( "meta_utf8" , "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />" );
		FNTHPage::setPageHead( "meta_lang" , sprintf( "<meta http-equiv=\"Content-Language\" content=\"%s\" />" , $metalang ) );
		FNTHPage::setPageHead( "meta_lang2" , sprintf( "<meta name=\"language\" content=\"%s\" />" , $metalang2 ) );
		FNTHPage::setPageHead( "favicon" ,
			sprintf( "<link rel=\"shortcut icon\" type=\"image/x-icon\" href=\"http://%s%s/favicon.ico\" />",
				$_SERVER["SERVER_NAME"] , $GLOBALS["site_www"] ) );
		FNTHPage::setPageHead( "favicon" ,
			sprintf( "<link rel=\"icon\" type=\"image/x-icon\" href=\"http://%s%s/favicon.ico\" />",
				$_SERVER["SERVER_NAME"] , $GLOBALS["site_www"] ) );
	}
	$GLOBALS["session_timeout"]=60*60*24;	// 1 napos session timeout

	require_once( $GLOBALS["site_root"]."/includes/models/Session.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/pngfix.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/consts.globals.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/models/SystemParameters.inc.php" );
	
	FNTH_set_numformat_function_callback( "fo3_global_numformat_function_callback" );

	// default keywords titles
	switch ($GLOBALS["language"]) {
	case "hu":
		fo3_set_page_title( "Fordítás, tolmácsolás, lektorálás | Fordító-tolmács szaknévsor" );
		fo3_set_meta_description( "Fordító, tolmács, lektor, fordítóiroda választásában nyújt segítséget a fordit.hu. Fordítás, tolmácsolás, lektorálás minden nyelv (angol, német, francia, román stb.) és szakterület (műszaki, jogi, orvosi stb.) szerint. Keressen fordítót vagy kérjen ajánlatot." );
		fo3_set_meta_keywords( "fordítás, tolmácsolás, fordító, fordítóiroda, tolmács, szakfordító, magyar" );
		break;
	case "en":
		fo3_set_page_title( "Hungarian-translator.eu – Translator and Interpreter Directory" );
		fo3_set_meta_description( "Fordító, tolmács, lektor, fordítóiroda választásában nyújt segítséget a fordit.hu. Fordítás, tolmácsolás, lektorálás minden nyelv (angol, német, francia, román stb.) és szakterület (műszaki, jogi, orvosi stb.) szerint. Keressen fordítót vagy kérjen ajánlatot." );
		fo3_set_meta_keywords( "hungarian translator, hungarian interpreter, hungarian translation, hungarian interpretation, hungarian translation company" );
		break;
	case "de":
		fo3_set_page_title( "ungarische-ueberzetsung.hu" );
		fo3_set_meta_keywords( "ungarische-ueberzetsung.hu" );
		fo3_set_meta_description( "ungarische-ueberzetsung.hu" );
		break;
	}

	fo3_set_meta_description( __("info_mainpage_Keywords" ) );

			
	// global stuff
	if (!isset( $GLOBALS["fv3_ajax_tooltip"] )) {
		fo3_use_global_css( "jquery-ui.css" );
		fo3_use_global_css( "jquery-ui.backend.css" );
		FNTH_include_3rdparty( "jquery_ui" , array( "language" => $GLOBALS["language"] ) );
		FNTH_include_3rdparty( "scrollto" );
		
		if (isset( $_SESSION["http_current_page"] ))
			$_SESSION["http_referer"] = $_SESSION["http_current_page"];
		$_SESSION["http_current_page"]=$_SERVER["REQUEST_URI"];
	}
	
	if (isset( $GLOBALS["maintenance"] )) {
		$m = $GLOBALS["maintenance"];
		$ipaddr = fo3_get_remote_ipaddress();
		$adminip = in_array( $ipaddr , $m["ips"] );
		if (!$adminip) {
			$query = sprintf( "select count(*) as num from admin_ips where ip_address='%s' and is_active", $ipaddr );
			$num = FNTH_db_get_field( $query , "num" );	
			$adminip = ($num>0);
		}

		if (!$adminip) {
			if (FNTH_convert_YmdHis_to_unix($m["until"])>fo3_time()) {
				require_once( $GLOBALS["site_root"] . "/includes/pages/MaintenancePage.inc.php" );
				$mp = new MaintenancePage();
				$mp->passGetPost( $getparams , $postparams );
				$mp->handleEvents();
				echo $mp->render();
				exit();
			}
		}	
	}

	FNTHPage::setPageHead( "google_verify" , "<meta name=\"google-site-verification\" content=\"SCIVhqmWncui6bQfMefkoJKigdfQNlzI9YCy-BCVRt8\" />" );

	$GLOBALS["fo3_freetext_google"]=true;
	// if ($_SERVER["REMOTE_ADDR"]=="192.168.100.52")
		$GLOBALS["fo3_freetext_google"]=false;
	$GLOBALS["fo3_freetext_google_cx"]="partner-pub-6801776710606257:kt6w1k-hfxy";
	$GLOBALS["fo3_freetext_google_cof"]="FORID:10";
	
	// ip blocking
	$filename = sprintf( "%s/includes/ipblocking.inc.php" , $GLOBALS["site_root"] );
	include_once( $filename );
	redirect_false_ips();
	

?>
